#x86_64

%define name    transmission-remote-gui
%define version 4.1
%define release %mkrel 1


Summary:        Bittorrent client
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.xz
Source1:        %{name}.desktop
License:	GplV2
Group:		Networking/File transfer
URL:		http://code.google.com/p/transmisson-remote-gui/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	desktop-file-utils
BuildRequires:	lazarus
Obsoletes: 	%{name} < %version

%description
TransGUI is a feature rich cross platform front-end
to remotely control a Transmission Bit-Torrent client
daemon via its RPC protocol. Transmission Remote GUI
is faster and has more functionality than the
built-in Transmission web interface. 

%prep
%setup  -q -n TransGUI

%build

%make 

%install
rm -rf %{buildroot}
install -dm 755 %{buildroot}%{_bindir}/
install -m 755 transgui %{buildroot}%{_bindir}/

install -dm 755 %{buildroot}%{_datadir}/transgui/lang
cp lang/* %{buildroot}%{_datadir}/transgui/lang

install -dm 755 %{buildroot}%{_datadir}/applications
install -m 755 %SOURCE1 \
%{buildroot}%{_datadir}/applications

#icons
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{48x48,32x32,16x16}/apps
mkdir -p %{buildroot}%{_datadir}/pixmaps/
convert -scale 48 transgui.png \
%{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png 
convert -scale 48 transgui.png \
%{buildroot}%{_datadir}/pixmaps/%{name}.png  
convert -scale 32 transgui.png \
%{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -scale 16 transgui.png \
%{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc *.txt
%{_bindir}/transgui
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/icons/hicolor/*
%{_datadir}/transgui/lang


%changelog
* Sun Jun 16 2013 Ken <lxgator at gmail dot com> 4.1-1pclos2013
- initial pkg

